Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7547 - whatis database not set up on install
Summary: whatis database not set up on install
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 16:14 UTC by David Balažic
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-08 14:53:31 UTC


Attachments (Terms of Use)

Description David Balažic 1999-12-03 16:14:38 UTC
The whatis database is not set up on install.
'apropos' and 'whatis' does not work.
Running 'makewhatis -w' fixes it.
I know that it is called from cron.daily, but several hours can
pass before that , and a new users needs this help in the first
hours most !

Comment 1 Bernhard Rosenkraenzer 1999-12-08 14:53:59 UTC
This is intentional. We can't include a prebuild whatis database because we
can't predict what man pages will be installed, and running makewhatis from the
installer would just slow down the installation; cron does a better job here.

If you have a better solution, let me know...

Comment 2 David Balažic 1999-12-08 15:42:59 UTC
How about running makewhatis on first boot ?
The calling script should then be deleted or altered, something
like the Wind*ws RunOnce things :-)


Note You need to log in before you can comment on or make changes to this bug.